package com.pj.bank_info_charges;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: bank_info_charges -- 银行回执信息-手续费
 * @author lbl
 */
@RestController
@RequestMapping("/BankInfoCharges/")
public class BankInfoChargesController {

	/** 底层 Service 对象 */
	@Autowired
	BankInfoChargesService bankInfoChargesService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(BankInfoCharges.PERMISSION_CODE_ADD)
	public AjaxJson add(BankInfoCharges b){
		bankInfoChargesService.add(b);
		b = bankInfoChargesService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(b);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(BankInfoCharges.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 bankInfoChargesService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(BankInfoCharges.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(BankInfoCharges.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(BankInfoCharges.PERMISSION_CODE_EDIT)
	public AjaxJson update(BankInfoCharges b){
		bankInfoChargesService.update(b);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(BankInfoCharges.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		BankInfoCharges b = bankInfoChargesService.getById(id);
		return AjaxJson.getSuccessData(b);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(BankInfoCharges.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		List<BankInfoCharges> list = bankInfoChargesService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
